Subject: Re: multiple separate pci bridges ...

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 07 Jan 2004 09:31:30 +1100

-
> > The kernel doesn't do anything to the L2 cache, it all depends what
> > you firmware does to it.
>
> That's true, but for the ppc stuff, there is initialization routines within
> the kernel source.

Yes, those are initially here to allow change of the setting via
/proc/sys/kernel/l2cr. I also used them to force passing a different
l2cr values via BootX and for setting up the L2 on the second CPU of
SMP machines and to restore it on wakeup from sleep on laptops

Nothing prevents you, of course, from setting L2 in your arch code
as well using those functions, but it's preferred to have the
firmware set it up properly in the first place.

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/